summaryrefslogtreecommitdiffstats
path: root/kvm-wrapper.sh
diff options
context:
space:
mode:
authorDominique Martinet <asmadeus@codewreck.org>2010-08-05 16:10:30 +0200
committerDominique Martinet <asmadeus@codewreck.org>2010-08-05 16:10:30 +0200
commit7edbbdf164a4b15821fc3c27baf9156f52d615ce (patch)
tree63864bc58e4c53f6a4d8228be1619e5d6e56c470 /kvm-wrapper.sh
parente79961bed3c08119d07c1a6d54df1cce0f049728 (diff)
fix about distant commands being run twice
Diffstat (limited to 'kvm-wrapper.sh')
-rwxr-xr-xkvm-wrapper.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/kvm-wrapper.sh b/kvm-wrapper.sh
index bf112f8..19ac7ad 100755
--- a/kvm-wrapper.sh
+++ b/kvm-wrapper.sh
@@ -145,6 +145,7 @@ function wait_test_timelimit ()
function kvm_init_env ()
{
VM_NAME="$1"
+ KVM_CLUSTER_NODE=local
VM_DESCRIPTOR="$VM_DIR/$VM_NAME-vm"
MONITOR_FILE="$MONITOR_DIR/$VM_NAME.unix"
SERIAL_FILE="$SERIAL_DIR/$VM_NAME.unix"
@@ -886,7 +887,7 @@ esac
kvm_init_env "${!#}"
-test_nodename "$KVM_CLUSTER_NODE" && (run_remote $KVM_CLUSTER_NODE $ROOTDIR/kvm-wrapper.sh $@; exit $!)
+test_nodename "$KVM_CLUSTER_NODE" && { run_remote $KVM_CLUSTER_NODE $ROOTDIR/kvm-wrapper.sh $@; exit $?; }
# Argument parsing
case "$1" in